Distribution:   CCux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>

Summary: 	iv - image viewer 
Name: 		iv
Version: 	2.1.4
Release: 	1
License:	GNU/GPL
URL: 		http://wolfpack.twu.net/IV/
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		%{name}-destdir.patch
Group: 		Graphics
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libICE-devel
BuildRequires:  imlib-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXp-devel
BuildRequires:  libXpm-devel
BuildRequires:  glibc-devel
BuildRequires:  giflib-devel
BuildRequires:  libglib-devel
BuildRequires:  gtk+-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libtiff-devel
BuildRequires:  zlib-devel

%description 
An image viewer using the GIMP Toolkit (GTK) and  Image Library (Imlib). 
Image Viewer (also known as IV) allows you to: 
View Any Image Supported by Imlib 
View Text Files 
View Binary Files 
Convert Formats 
Grab (Screenshot) 
Print 
Rotate 
Crop 
Resize 
Display on Desktop 
Add Text (Annotate) 
Add/Edit/Remove Comments (and other embedded content) 
Open/Edit/Save Animated Images 
Deliver Medication (...not FDA approved) 
 
Additional viewing features include pan & zoom with just a click and a drag. 
Currently, IV supports direct opening and saving with the image libraries: 
 libungif - Uncompressed GIF images 
 libjpeg - JPEG images 
 libpng - PNG & MNG images 
libtga (internal) - TGA images 
 libXpm - XPM images 
 
In addition, binary and text files can also be displayed with IV's internal File View and Hex View windows.

%prep
%setup -q
%patch0 -p1

%build
#./autogen.sh
./configure Linux --prefix=%_prefix
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'
mkdir -p $RPM_BUILD_ROOT%_mandir
mv $RPM_BUILD_ROOT/usr/man/* $RPM_BUILD_ROOT%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_datadir/icons
%_mandir

%changelog
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1.4-1
- Initial Release
